#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
#define CRP(t, x) const t &x
#define OPX(op, t, x) operator op(CRP(t, x))
#define OPL(t, x) bool OPX(<, t, x) const
#define FIL(x, v) memset(x, v, sizeof(x))
#define CLR(x) FIL(x, 0)
#define NE1(x) FIL(x, -1)
#define INF(x) FIL(x, 0x3f)
#ifndef _DEBUG
#define _DEBUG 0
#endif // !_DEBUG
#define IFD if (_DEBUG)
typedef int64_t ll, i64;
typedef uint64_t ull, u64;
template <typename T>
using enable_if_arithmetic = typename enable_if<is_arithmetic<T>::value>::type;
template <typename T>
using enable_if_integral = typename enable_if<is_integral<T>::value>::type;
inline char getchar(int)
{
    static char buf[64 << 20], *S = buf, *T = buf;
    if (S == T) T = fread(S = buf, 1, 64 << 20, stdin) + S;
    return S == T ? EOF : *S++;
}
template <typename T, typename = enable_if_integral<T>>
inline bool read(T &x)
{
    int ch = x = 0, f = 1;
    while (!isdigit(ch = getchar()))
    {
        if (ch == EOF) return false;
        if (ch == '-') f = -1;
    }
    for (; isdigit(ch); ch = getchar()) x = x * 10 + ch - '0';
    x *= f;
    return true;
}
template <typename T, typename... Args, typename = enable_if_integral<T>>
inline bool read(T &x, Args &... args) { return read(x) && read(args...); }
ll gcd(ll a, ll b) { return b == 0 ? a : gcd(b, a % b); }
ll fpow(ll a, ll b, ll m)
{
    ll r = 1;
    for (; b; b >>= 1, a = a * a % m)
        if (b & 1) r = r * a % m;
    return r;
}
constexpr double eps = 1e-8;
inline int sgn(double x) { return x > eps ? 1 : x < -eps ? -1 : 0; }
const int N = 1e5 + 50;
ull base[N], hs[N];
inline ull get_hash(int l, int r)
{
    return hs[r] - hs[l] * base[r - l];
}
char s[N];
int main()
{
    for (int i = *base = 1; i < N; i++) base[i] = base[i - 1] * 131;
    map<ull, int> M;
    for (int m, l; ~scanf("%d%d%s", &m, &l, s);)
    {
        int n = strlen(s);
        for (int i = 1; s[i - 1]; i++) hs[i] = hs[i - 1] * 131 + s[i - 1];
        // for (int i = 0; i < n; i += 3) printf("%d\n", get_hash(i, i + 3));
        int ans = 0;
        for (int i = 0; i < l && i + m * l < n; i++)
        {
            M.clear();
            for (int j = i; j < i + m * l; j += l) M[get_hash(j, j + l)]++;
            if (M.size() == m) ans++;
            for (int j = i + m * l; j + l <= n; j += l)
            {
                M[get_hash(j, j + l)]++;
                ull x = get_hash(j - m * l, j - m * l + l);
                M[x]--;
                if (M[x] == 0) M.erase(x);
                if (M.size() == m) ans++;
            }
        }
        printf("%d\n", ans);
    }
    return 0;
}